package io.tswf.minecraft.blockventure.core.exception

import groovy.transform.CompileStatic
import net.minecraft.server.world.ServerWorld

@CompileStatic
class ServerWorldCustomStoragesSaveException extends RuntimeException {
    ServerWorld world

    ServerWorldCustomStoragesSaveException(ServerWorld world, Throwable cause) {
        super("Exception occurred while trying to save custom data storages for world ${world}: ", cause)
        this.world = world
    }

    static interface Bypass {

    }
}
